[kernel] r18783 - dists/sid/linux-2.6/debian/patches/features/all/rt
Uwe Kleine-König
ukleinek-guest at alioth.debian.org
Sun Mar 4 13:55:08 UTC 2012
Author: ukleinek-guest
Date: Sun Mar 4 13:55:05 2012
New Revision: 18783
Log:
[featureset=rt] add script to check series file for correctness
Added:
dists/sid/linux-2.6/debian/patches/features/all/rt/check-series (contents, props changed)
Added: dists/sid/linux-2.6/debian/patches/features/all/rt/check-series
==============================================================================
--- /dev/null 00:00:00 1970 (empty, because file is newly added)
+++ dists/sid/linux-2.6/debian/patches/features/all/rt/check-series Sun Mar 4 13:55:05 2012 (r18783)
@@ -0,0 +1,17 @@
+#! /bin/sh
+
+debian_series="$(mktemp)"
+rt_series="$(mktemp)"
+
+trap 'rm "$debian_series" "$rt_series"' INT QUIT EXIT
+
+# Pick all featureset=rt patches
+grep "featureset=rt$" debian/patches/series/base-extra > "$debian_series"
+
+# Remove comments and empty lines. Drop localversion patch as uname version
+# shouldn't be touched. Reformat to match series format.
+sed -r -e 's/ *#.*//; /^$/d; /^localversion.patch$/d; s,.*,+ features/all/rt/& featureset=rt,' "debian/patches/features/all/rt/series" > "$rt_series"
+
+# removed lines are OK if the rt patch contains fixes that are applied on
+# featureset=none kernels, too.
+diff -u --label "debian/patches/features/all/rt/series" --label "debian/patches/series/base-extra" "$rt_series" "$debian_series"
More information about the Kernel-svn-changes
mailing list